import type { PipelineJson } from './pipeline/PipelineJson/PipelineJson';
import type { ExportJsonOptions } from './utils/serialization/exportJson';
/**
 * Order of keys in the pipeline JSON
 *
 * @public exported from `@promptbook/core`
 */
export declare const ORDER_OF_PIPELINE_JSON: ExportJsonOptions<PipelineJson>['order'];
/**
 * Nonce which is used for replacing things in strings
 *
 * @private within the repository
 */
export declare const REPLACING_NONCE = "u$k42k%!V2zo34w7Fu#@QUHYPW";
/**
 * @@@
 *
 * @private within the repository
 */
export declare const RESERVED_PARAMETER_MISSING_VALUE: string;
/**
 * @@@
 *
 * @private within the repository
 */
export declare const RESERVED_PARAMETER_RESTRICTED: string;
/**
 * The names of the parameters that are reserved for special purposes
 *
 * @public exported from `@promptbook/core`
 */
export declare const RESERVED_PARAMETER_NAMES: readonly ["content", "context", "knowledge", "examples", "modelName", "currentDate"];
/**
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
